Subject: [v6ops] 'draft-templin-v6ops-isops' as v6ops wg item?

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 3 Jun 2011 08:13:51 -0700

Hello,

Significant improvements have been made to this document
(below) based on comments received and new observations.
IMHO, this is an important document for enabling transition
to IPv6 within IPv4 sites; hence, I would like to call for
working group adoption at this time.

Thanks - Fred
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, June 01, 2011 2:59 PM
To: [email-masked]
Subject: I-D Action: draft-templin-v6ops-isops-10.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Operational Guidance for IPv6 Deployment in IPv4 Sites using ISATAP
	Author(s)       : Fred L. Templin
	Filename        : draft-templin-v6ops-isops-10.txt
	Pages           : 27
	Date            : 2011-06-01

   Many end user sites in the Internet today still have predominantly
   IPv4 internal infrastructures.  These sites range in size from small
   home/office networks to large corporate enterprise networks, but
   share the commonality that IPv4 continues to provide satisfactory
   internal routing and addressing services for most applications.  As
   more and more IPv6-only services are deployed in the Internet,
   however, end user devices within such sites will increasingly require
   at least basic IPv6 functionality for external access.  It is also
   expected that more and more IPv6-only devices will be deployed within
   the site over time.  This document therefore provides operational
   guidance for deployment of IPv6 within predominantly IPv4 sites using
   the Intra-Site Automatic Tunnel Addressing Protocol (ISATAP).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-templin-v6ops-isops-10.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-templin-v6ops-isops-10.txt
_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Joel Jaeggli <[email-masked]>
Date: Fri, 17 Jun 2011 12:49:48 -0700

> [email-masked]

Replying to this message as a way to maintain the threading. these notes are relative to the current version of the draft which I reviewed last week:

http://tools.ietf.org/html/draft-templin-v6ops-isops-10

So I tried for a while to separate the operational advice that could be applied to my 2005 era knowledge of isatap and there's  quite a few things that jive with that (tunnel loops for example). 

In other cases such isatap dhcpv6 (4.5) I'm a bit-off in the weeds, what implementations are capable of doing that? Are we recommending that they do it? do they already?

Regarding aero (section 4.6) that looks pretty much like new work or an extension to the specification.

Are there participants with extant isatap deployements or host implementations or knowledge fresher than mine that would care to comment on this draft.

section 9 alternative approaches, there's some consensus that rfc 3056 was never really deployed so the reference to 6to4 should probably be to 3068.

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 22 Jun 2011 08:13:22 -0700

Hi Joel,

Thanks for your comments, and see below for responses:

________________________________
From: Joel Jaeggli [mailto:[email-masked]]
Sent: Friday, June 17, 2011 12:50 PM
To: Templin, Fred L
Cc: [email-masked]
Subject: Re: [v6ops] 'draft-templin-v6ops-isops' as v6ops wg item?

Hello,

Thanks - Fred
[email-masked]<mailto:[email-masked]>

So I tried for a while to separate the operational advice that could be applied to my 2005 era knowledge of isatap and there's  quite a few things that jive with that (tunnel loops for example).
OK.
In other cases such isatap dhcpv6 (4.5) I'm a bit-off in the weeds, what implementations are capable of doing that? Are we recommending that they do it? do they already?
I can't speak for current implementations, but the DHCPv6 approach is
based on the fact that address and prefix assignment on IPv6 interfaces
are seperable functions. IPv6 prefixes assigned to ISATAP interfaces can
only be used for autoconfiguration of ISATAP addresses and not ordinary
IPv6 addresses. However, an ordinary IPv6 address can be assigned to
an ISATAP interface the same as for any other IPv6 interface as long as
it is not covered by a prefix assigned to the interface.
Regarding aero (section 4.6) that looks pretty much like new work or an extension to the specification.
AERO is a new but backwards-compatible method of doing redirection
of an on-link neighbor to another on-link neighbor. However, ISATAP
interfaces can still use standards ICMPv6 Redirect messages the same
as for any IPv6 interface. Advertising ISATAP routers should only send
ICMPv6 redirects when they are certain that the redirected ISATAP node
can tunnel packets directly to the target of the redirect, however. Perhaps
a few more words saying explicitly that standards ICMPv6 redirects are
still supported would help?
Are there participants with extant isatap deployements or host implementations or knowledge fresher than mine that would care to comment on this draft.

There are certainly vendors who are shipping ISATAP in their products
today. Perhaps they can comment.
section 9 alternative approaches, there's some consensus that rfc 3056 was never really deployed so the reference to 6to4 should probably be to 3068

OK - I can fix this.

Thanks - Fred
[email-masked]<mailto:[email-masked]>

---

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 23 Jun 2011 10:03:49 -0700

FYI, I just posted a -11 update to this document. The
update includes the reference to RFC3068 per Joel's
recommendation, and also adds a new section on "Manual
Configuration". See below for the announcement:
 
Thanks - Fred
 
------

	Title           : Operational Guidance for IPv6 Deployment in IPv4 Sites using ISATAP
	Author(s)       : Fred L. Templin
	Filename        : draft-templin-v6ops-isops-11.txt
	Pages           : 27
	Date            : 2011-06-23

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-templin-v6ops-isops-11.txt

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-templin-v6ops-isops-11.txt

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Templin, Fred L
	Sent: Wednesday, June 22, 2011 8:13 AM
	To: Joel Jaeggli
	Cc: [email-masked]
	Subject: Re: [v6ops] 'draft-templin-v6ops-isops' as v6ops wg item?

	Hi Joel,

			Hello,

			Thanks - Fred

	OK.  

	OK - I can fix this.
	 
	Thanks - Fred